pack_fopen_vtable(3)

NAME
pack_fopen_vtable - Allegro game programming library.

SYNOPSIS
#include <allegro.h>

PACKFILE *pack_fopen_vtable(const PACKFILE_VTABLE *vtable, void *userdata);

DESCRIPTION
Creates a new packfile structure that uses the functions specified in the vtable instead of the standard functions. The data pointer by `vtable' and `userdata' must remain available for the lifetime of the created packfile. While the created packfile structure can be used with other Allegro functions, there are two limitations. First, opening chunks using pack_fopen_chunk() on top of the returned packfile is not possible at this time. And packfile_password() does not have any effect on packfiles opened with pack_fopen_vtable().

RETURN VALUE
On success, it returns a pointer to a PACKFILE structure, and on error it returns NULL and stores an error code in `errno'.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3), packfile_password(3), expackf(3)